html[lang=en] .chart--major-shareholder .chart__aside .chart__aside-title {
    font-family: 'Prompt', sans-serif !important;
    font-size: 1.4375rem;
    line-height: 1.5;
    font-weight: 600
}

@media (max-width: 1640px) {
    html[lang=en] .chart--major-shareholder .chart__aside .chart__aside-title {
        font-size: calc(1.109375rem + .3201219512vw)
    }
}

@media (max-width: 1639.98px) {
    html[lang=en] .chart--major-shareholder .chart__aside .chart__aside-title {
        font-size: 1.25rem
    }
}

@media (max-width: 1639.98px)and (max-width: 1640px) {
    html[lang=en] .chart--major-shareholder .chart__aside .chart__aside-title {
        font-size: calc(1.0625rem + .1829268293vw)
    }
}

html[lang=en] .chart--major-shareholder .echarts-tooltip .echarts-tooltip__title {
    font-size: 1.0625rem
}

@media (max-width: 1640px) {
    html[lang=en] .chart--major-shareholder .echarts-tooltip .echarts-tooltip__title {
        font-size: calc(1.015625rem + .0457317073vw)
    }
}

@media (max-width: 1199.98px) {
    html[lang=en] .chart--major-shareholder .echarts-tooltip .echarts-tooltip__title {
        font-size: 1rem
    }
}

html[lang=en] .chart--major-shareholder .echarts-tooltip .echarts-tooltip__value {
    font-size: 1.0625rem
}

@media (max-width: 1640px) {
    html[lang=en] .chart--major-shareholder .echarts-tooltip .echarts-tooltip__value {
        font-size: calc(1.015625rem + .0457317073vw)
    }
}

@media (max-width: 1199.98px) {
    html[lang=en] .chart--major-shareholder .echarts-tooltip .echarts-tooltip__value {
        font-size: 1rem
    }
}

html[lang=en] .chart--major-shareholder .echarts-legend .echarts-legend__value {
    font-family: 'Prompt', sans-serif !important;
    font-size: 1.0625rem;
    font-weight: 500
}

@media (max-width: 1640px) {
    html[lang=en] .chart--major-shareholder .echarts-legend .echarts-legend__value {
        font-size: calc(1.015625rem + .0457317073vw)
    }
}

@media (max-width: 1639.98px) {
    html[lang=en] .chart--major-shareholder .echarts-legend .echarts-legend__value {
        font-size: 1rem
    }
}

html[lang=en] .chart--major-shareholder .echarts-legend .echarts-legend__title {
    font-family: 'Prompt', sans-serif !important;
    font-size: 1.0625rem;
    font-weight: 400;
    text-align: left !important;
}

@media (max-width: 1640px) {
    html[lang=en] .chart--major-shareholder .echarts-legend .echarts-legend__title {
        font-size: calc(1.015625rem + .0457317073vw)
    }
}

@media (max-width: 1639.98px) {
    html[lang=en] .chart--major-shareholder .echarts-legend .echarts-legend__title {
        font-size: 1rem
    }
}

html[lang=th] .chart--major-shareholder .chart__aside .chart__aside-title {
    font-family: 'Prompt', sans-serif !important;
    font-size: 1.4375rem;
    line-height: 1.5;
    font-weight: 700
}

@media (max-width: 1640px) {
    html[lang=th] .chart--major-shareholder .chart__aside .chart__aside-title {
        font-size: calc(1.109375rem + .3201219512vw)
    }
}

@media (max-width: 1639.98px) {
    html[lang=th] .chart--major-shareholder .chart__aside .chart__aside-title {
        font-size: 1.25rem
    }
}

@media (max-width: 1639.98px)and (max-width: 1640px) {
    html[lang=th] .chart--major-shareholder .chart__aside .chart__aside-title {
        font-size: calc(1.0625rem + .1829268293vw)
    }
}

html[lang=th] .chart--major-shareholder .echarts-tooltip .echarts-tooltip__title {
    font-size: 1.0625rem
}

@media (max-width: 1640px) {
    html[lang=th] .chart--major-shareholder .echarts-tooltip .echarts-tooltip__title {
        font-size: calc(1.015625rem + .0457317073vw)
    }
}

@media (max-width: 1199.98px) {
    html[lang=th] .chart--major-shareholder .echarts-tooltip .echarts-tooltip__title {
        font-size: 1rem
    }
}

html[lang=th] .chart--major-shareholder .echarts-tooltip .echarts-tooltip__value {
    font-size: 1.0625rem
}

@media (max-width: 1640px) {
    html[lang=th] .chart--major-shareholder .echarts-tooltip .echarts-tooltip__value {
        font-size: calc(1.015625rem + .0457317073vw)
    }
}

@media (max-width: 1199.98px) {
    html[lang=th] .chart--major-shareholder .echarts-tooltip .echarts-tooltip__value {
        font-size: 1rem
    }
}

html[lang=th] .chart--major-shareholder .echarts-legend .echarts-legend__value {
    font-family: 'Prompt', sans-serif !important;
    font-size: 1.0625rem;
    font-weight: 500
}

@media (max-width: 1640px) {
    html[lang=th] .chart--major-shareholder .echarts-legend .echarts-legend__value {
        font-size: calc(1.015625rem + .0457317073vw)
    }
}

@media (max-width: 1639.98px) {
    html[lang=th] .chart--major-shareholder .echarts-legend .echarts-legend__value {
        font-size: 1rem
    }
}

html[lang=th] .chart--major-shareholder .echarts-legend .echarts-legend__title {
    font-family: 'Prompt', sans-serif !important;
    font-size: 1.0625rem;
    font-weight: 400
}

@media (max-width: 1640px) {
    html[lang=th] .chart--major-shareholder .echarts-legend .echarts-legend__title {
        font-size: calc(1.015625rem + .0457317073vw)
    }
}

@media (max-width: 1639.98px) {
    html[lang=th] .chart--major-shareholder .echarts-legend .echarts-legend__title {
        font-size: 1rem
    }
}

.chart--major-shareholder {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: -3rem
}

@media (max-width: 991.98px) {
    .chart--major-shareholder {
        flex-direction: column;
        flex-wrap: wrap
    }
}

@media (max-width: 767.98px) {
    .chart--major-shareholder {
        margin-top: -2rem
    }
}

.chart--major-shareholder .chart__main {
    flex-grow: 0;
    flex-shrink: 0;
    flex-basis: 55%;
    max-width: 55%;
    width: 100%
}

@media (max-width: 1199.98px) {
    .chart--major-shareholder .chart__main {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: 60%;
        max-width: 60%;
        width: 100%
    }
}

@media (max-width: 991.98px) {
    .chart--major-shareholder .chart__main {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: 80%;
        max-width: 80%;
        width: 100%
    }
}

@media (max-width: 767.98px) {
    .chart--major-shareholder .chart__main {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: 100%;
        max-width: 100%;
        width: 100%
    }
}

.chart--major-shareholder .chart__aside {
    display: flex;
    justify-content: center;
    flex-grow: 0;
    flex-shrink: 0;
    flex-basis: 40%;
    max-width: 40%;
    width: 100%
}

@media (max-width: 1639.98px) {
    .chart--major-shareholder .chart__aside {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: 45%;
        max-width: 45%;
        width: 100%
    }
}

@media (max-width: 1199.98px) {
    .chart--major-shareholder .chart__aside {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: 40%;
        max-width: 40%;
        width: 100%
    }
}

@media (max-width: 991.98px) {
    .chart--major-shareholder .chart__aside {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: 100%;
        max-width: 100%;
        width: 100%
    }
}

@media (max-width: 767.98px) {
    .chart--major-shareholder .chart__aside {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: 80%;
        max-width: 80%;
        width: 100%;
        display: flex;
        flex-direction: row;
        justify-content: center
    }
}

@media only screen and (min-width: 300px)and (max-width: 350px)and (orientation: portrait) {
    .chart--major-shareholder .chart__aside {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: 100%;
        max-width: 100%;
        width: 100%
    }
}

.chart--major-shareholder .echarts {
    height: 600px
}

@media (max-width: 1639.98px) {
    .chart--major-shareholder .echarts {
        height: 500px
    }
}

@media (max-width: 767.98px) {
    .chart--major-shareholder .echarts {
        margin-bottom: 2rem;
        height: 280px
    }
}

@media only screen and (min-width: 300px)and (max-width: 350px)and (orientation: portrait) {
    .chart--major-shareholder .echarts {
        height: 250px
    }
}

.chart--major-shareholder .echarts-tooltip {
    display: flex
}

.chart--major-shareholder .echarts-tooltip .echarts-tooltip__title {
    margin-bottom: .15rem
}

.chart--major-shareholder .echarts-tooltip .echarts-tooltip__value {
    margin-left: .75rem;
    color: #EF5225
}

.chart--major-shareholder .echarts-legend {
    padding-left: 0;
    margin-bottom: 0
}

@media (min-width: 768px)and (max-width: 991.98px) {
    .chart--major-shareholder .echarts-legend {
        -webkit-column-count: 2;
        -moz-column-count: 2;
        column-count: 2;
        -webkit-column-gap: 30px;
        -moz-column-gap: 30px;
        column-gap: 30px
    }
}

.chart--major-shareholder .echarts-legend .echarts-legend__item {
    display: flex;
    flex-direction: row;
    width: 100%;
    align-items: flex-start;
    margin-bottom: 1rem
}

.chart--major-shareholder .echarts-legend .echarts-legend__badge {
    display: block;
    min-width: 16px;
    width: 16px;
    height: 16px;
    margin-top: 4px;
    border-radius: 50%
}

.chart--major-shareholder .echarts-legend .echarts-legend__detail {
    cursor: pointer;
    display: flex;
    flex-direction: row;
    /* width: 100%; */
    margin-left: .75rem
}

.chart--major-shareholder .echarts-legend .echarts-legend__value {
    padding-left: .5rem;
    display: block;
    color: #45a735;
    flex-grow: 0;
    flex-shrink: 0;
    flex-basis: 100px;
    max-width: 100px;
    width: 100%
}

@media (max-width: 991.98px) {
    .chart--major-shareholder .echarts-legend .echarts-legend__value {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: 80px;
        max-width: 80px;
        width: 100%
    }
}

.chart--major-shareholder .echarts-legend .echarts-legend__title {
    display: block;
    color: #000;
    flex: 1
}


/* For PC: */
@media (min-width:1200px) {
    .box-share {
        display: flex;
    }
}
/* For mobile phones: */
@media only screen and (max-width: 767px) {
    .box-share {
       display: contents;
    }
}